summaryrefslogtreecommitdiffstats
path: root/system
diff options
context:
space:
mode:
author Jens Weber2012-02-13 00:17:18 +0100
committer Niels Horn2012-02-18 12:12:29 +0100
commit3a39822712240010fd4bb25ccbf58c06117cad73 (patch)
tree9102781e4d346c9bb14046db93a7166fd067d8f2 /system
parente0f08eb4d803cd4f2cddfea23ef5cc63fe8feee8 (diff)
downloadslackbuilds-3a39822712240010fd4bb25ccbf58c06117cad73.tar.gz
system/unetbootin: Added (create bootable Live USB drives)
Signed-off-by: Robby Workman <rworkman@slackbuilds.org>
Diffstat (limited to 'system')
-rw-r--r--system/unetbootin/README6
-rw-r--r--system/unetbootin/README.issues25
-rw-r--r--system/unetbootin/doinst.sh9
-rw-r--r--system/unetbootin/slack-desc19
-rw-r--r--system/unetbootin/unetbootin.SlackBuild97
-rw-r--r--system/unetbootin/unetbootin.info10
6 files changed, 166 insertions, 0 deletions
diff --git a/system/unetbootin/README b/system/unetbootin/README
new file mode 100644
index 0000000000..ec6ae1c574
--- /dev/null
+++ b/system/unetbootin/README
@@ -0,0 +1,6 @@
+UNetbootin allows you to create bootable Live USB drives
+for Linux distributions without burning a CD.
+
+See README.issues for some common troubles users encounter.
+
+This requires p7zip.
diff --git a/system/unetbootin/README.issues b/system/unetbootin/README.issues
new file mode 100644
index 0000000000..f724740bf3
--- /dev/null
+++ b/system/unetbootin/README.issues
@@ -0,0 +1,25 @@
+Unetbootin should (or even needs to) be invoked from a root
+login prompt as it needs access to drive devices.
+Unless you have modified the default PATH inheritance, sudo
+won't work properly (at least syslinux will not be found).
+
+It sometimes reacts in a strange way when it comes to language settings.
+When the detection fails, there is a good chance that it will display
+in (taiwanese) chinese, as it seems to use the last language file it
+can find (which is unetbootin_zh_TW.qm).
+
+If unetbootin does not respect your LANG settings, especially when
+invoked from the menu of an user account with kdesu, there are two ways
+to change it's behaviour:
+
+1. Open /usr/share/applications/unetbootin.desktop and change the Exec
+ entry to something like this:
+
+ Exec=/usr/bin/unetbootin lang=en
+
+ The available language files are in /usr/share/applications/unetbootin.
+
+2. Open a terminal and start unetbootin like this:
+
+ su -c '/usr/bin/unetbootin lang=de'
+
diff --git a/system/unetbootin/doinst.sh b/system/unetbootin/doinst.sh
new file mode 100644
index 0000000000..3e5691a052
--- /dev/null
+++ b/system/unetbootin/doinst.sh
@@ -0,0 +1,9 @@
+if [ -x /usr/bin/update-desktop-database ]; then
+ /usr/bin/update-desktop-database -q usr/share/applications >/dev/null 2>&1
+fi
+
+if [ -e usr/share/icons/hicolor/icon-theme.cache ]; then
+ if [ -x /usr/bin/gtk-update-icon-cache ]; then
+ /usr/bin/gtk-update-icon-cache usr/share/icons/hicolor >/dev/null 2>&1
+ fi
+fi
diff --git a/system/unetbootin/slack-desc b/system/unetbootin/slack-desc
new file mode 100644
index 0000000000..03982a35de
--- /dev/null
+++ b/system/unetbootin/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description. Line
+# up the first '|' above the ':' following the base package name, and the '|'
+# on the right side marks the last column you can put a character in. You must
+# make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':' except on otherwise blank lines.
+
+ |-----handy-ruler------------------------------------------------------|
+unetbootin: UNetbootin (create bootable Live USB drives)
+unetbootin:
+unetbootin: UNetbootin lets you create bootable live usb drives for Linux
+unetbootin: distributions without burning a CD.
+unetbootin:
+unetbootin: Homepage: http://unetbootin.sourceforge.net
+unetbootin:
+unetbootin:
+unetbootin:
+unetbootin:
+unetbootin:
diff --git a/system/unetbootin/unetbootin.SlackBuild b/system/unetbootin/unetbootin.SlackBuild
new file mode 100644
index 0000000000..aef91ed11e
--- /dev/null
+++ b/system/unetbootin/unetbootin.SlackBuild
@@ -0,0 +1,97 @@
+#!/bin/sh
+# Slackware build script for unetbootin
+# Written by Jens Weber <jens@tuxane.com>
+# v565: (jw) initial version 01/06/2012
+
+PRGNAM=unetbootin
+VERSION=565
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+if [ -z "$ARCH" ]; then
+ case "$( uname -m )" in
+ i?86) ARCH=i486 ;;
+ arm*) ARCH=arm ;;
+ *) ARCH=$( uname -m ) ;;
+ esac
+fi
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+
+if [ "$ARCH" = "i486" ]; then
+ LIBDIRSUFFIX=""
+ archname="i386"
+elif [ "$ARCH" = "i686" ]; then
+ LIBDIRSUFFIX=""
+ archname="i386"
+elif [ "$ARCH" = "x86_64" ]; then
+ LIBDIRSUFFIX="64"
+ archname="amd64"
+else
+ LIBDIRSUFFIX=""
+ archname=""
+fi
+
+set -eu
+
+PTMP=$TMP/$PRGNAM # convenience variable
+
+rm -rf $PKG $PTMP
+mkdir -p $TMP $PKG $OUTPUT $PTMP
+
+cd $PTMP
+tar xvf $CWD/${PRGNAM}-source-$(echo $VERSION).tar.gz
+
+chown -R root:root .
+find . \
+ \( -perm 777 -o -perm 775 -o -perm 711 -o -perm 555 -o -perm 511 \) \
+ -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 600 -o -perm 444 -o -perm 440 -o -perm 400 \) \
+ -exec chmod 644 {} \;
+
+lupdate unetbootin.pro
+lrelease unetbootin.pro
+qmake -config release "DEFINES += NOSTATIC" "RESOURCES -= unetbootin.qrc"
+make
+strip --strip-unneeded $PRGNAM
+
+mkdir -p $PKG/usr/bin
+cp -a $PTMP/$PRGNAM $PKG/usr/bin/$PRGNAM
+
+mkdir -p $PKG/usr/share/applications
+cp -a $PTMP/$PRGNAM.desktop $PKG/usr/share/applications/$PRGNAM.desktop
+
+mkdir -p $PKG/usr/share/$PRGNAM
+for file in ${PRGNAM}*.qm; do
+ cp -a ${file} $PKG/usr/share/$PRGNAM/
+done
+for file in ${PRGNAM}*.png; do
+ size="${file/${PRGNAM}_}"
+ size="${size/.png}x${size/.png}"
+ mkdir -p $PKG/usr/share/icons/hicolor/${size}/apps
+ cp -a ${file} $PKG/usr/share/icons/hicolor/${size}/apps/$(echo $file | tr -d _$size)
+done
+
+mkdir -p $PKG/usr/share/icons/hicolor/scalable/apps/
+cp -a $PTMP/unetbootin_icons.svg $PKG/usr/share/icons/hicolor/scalable/apps/$PRGNAM.svg
+
+find $PKG/usr/share/icons -type f -exec chmod 0644 {} \;
+
+mkdir -p $PKG/usr/share/pixmaps/
+cp -a $PTMP/unetbootin_icons.svg $PKG/usr/share/pixmaps/$PRGNAM.svg
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a README.TXT INSTALL $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+cat $CWD/README.issues > $PKG/usr/doc/$PRGNAM-$VERSION/README.issues
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+cat $CWD/doinst.sh > $PKG/install/doinst.sh
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.${PKGTYPE:-tgz}
diff --git a/system/unetbootin/unetbootin.info b/system/unetbootin/unetbootin.info
new file mode 100644
index 0000000000..93b0c11a74
--- /dev/null
+++ b/system/unetbootin/unetbootin.info
@@ -0,0 +1,10 @@
+PRGNAM="unetbootin"
+VERSION="565"
+HOMEPAGE="http://unetbootin.sourceforge.net"
+DOWNLOAD="http://downloads.sourceforge.net/unetbootin/unetbootin-source-565.tar.gz"
+MD5SUM="6f200870406a229598c8db2573738c6b"
+DOWNLOAD_x86_64=""
+MD5SUM_x86_64=""
+MAINTAINER="Jens Weber"
+EMAIL="jens@tuxane.com"
+APPROVED="rworkman"